﻿using UnityEngine;
using System.Collections;

public class AutoCamera : MonoBehaviour {

	public Transform Target;

	[Range(0f, 60f)]
	public float MoveSpeed = 5f;

	void Update () {
		var pos = transform.position;

		pos.x = Mathf.Lerp(
			transform.position.x,
			Target.position.x,
			Time.smoothDeltaTime * MoveSpeed);

		transform.position = pos;
	}
}
