﻿using UnityEngine;
using System.Collections;

public class Bullet : MonoBehaviour {

	void Start()
	{
		GetComponent<Rigidbody>().velocity = new Vector3(10f, 0f);
	}

	void OnTriggerEnter(Collider other)
	{
		if (other.tag != "Enemy") return;

		Destroy(other.gameObject);
		ObjectPool.instance.ReleaseGameObject(gameObject);
	}

	void OnBecameInvisible()
	{
		ObjectPool.instance.ReleaseGameObject(gameObject);
	}
}
